Debian9安装并保持composer/npm为最新版本

Debian为了保证稳定性,对包版本的态度比较保守,如果想要更新composer和npm为最新版本,一种是通过将/etc/apt/source.list里的stretch源为testing(即测试版)。另一种是在使用稳定版的基础上,通过添加ppa,继续使用apt管理npm;通过直接下载安装composer的官网提供版本,之后使用自带的composer... 点开看看